Changeset 516


Ignore:
Timestamp:
Aug 15, 2007 6:42:44 PM (13 years ago)
Author:
andreasw
Message:

allow --enable-doscompile on MinGW/MSys

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/HSL/branches/BSP/trunk/configure

    r509 r516  
    18041804  if test "$enable_doscompile" != no; then
    18051805     case $build in
    1806        *-cygwin*) ;;
    1807        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin" >&5
    1808 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin" >&2;}
     1806       *-cygwin* | *-mingw*) ;;
     1807       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1808echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    18091809   { (exit 1); exit 1; }; } ;;
    18101810     esac
     
    18141814fi;
    18151815 case "$enable_doscompile" in
    1816    msvc|mingw|no) ;;
     1816   mingw)
     1817     case $build in
     1818       *-mingw*) enable_doscompile=no ;;
     1819     esac
     1820     ;;
     1821   msvc|no) ;;
    18171822   yes) enable_doscompile=mingw ;;
    18181823   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     
    32113216
    32123217# Provide some information about the compiler.
    3213 echo "$as_me:3213:" \
     3218echo "$as_me:3218:" \
    32143219     "checking for Fortran 77 compiler version" >&5
    32153220ac_compiler=`set X $ac_compile; echo $2`
     
    53485353*-*-irix6*)
    53495354  # Find out which ABI we are using.
    5350   echo '#line 5350 "configure"' > conftest.$ac_ext
     5355  echo '#line 5355 "configure"' > conftest.$ac_ext
    53515356  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    53525357  (eval $ac_compile) 2>&5
     
    77777782   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77787783   -e 's:$: $lt_compiler_flag:'`
    7779    (eval echo "\"\$as_me:7779: $lt_compile\"" >&5)
     7784   (eval echo "\"\$as_me:7784: $lt_compile\"" >&5)
    77807785   (eval "$lt_compile" 2>conftest.err)
    77817786   ac_status=$?
    77827787   cat conftest.err >&5
    7783    echo "$as_me:7783: \$? = $ac_status" >&5
     7788   echo "$as_me:7788: \$? = $ac_status" >&5
    77847789   if (exit $ac_status) && test -s "$ac_outfile"; then
    77857790     # The compiler can only warn and ignore the option if not recognized
     
    80458050   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80468051   -e 's:$: $lt_compiler_flag:'`
    8047    (eval echo "\"\$as_me:8047: $lt_compile\"" >&5)
     8052   (eval echo "\"\$as_me:8052: $lt_compile\"" >&5)
    80488053   (eval "$lt_compile" 2>conftest.err)
    80498054   ac_status=$?
    80508055   cat conftest.err >&5
    8051    echo "$as_me:8051: \$? = $ac_status" >&5
     8056   echo "$as_me:8056: \$? = $ac_status" >&5
    80528057   if (exit $ac_status) && test -s "$ac_outfile"; then
    80538058     # The compiler can only warn and ignore the option if not recognized
     
    81498154   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81508155   -e 's:$: $lt_compiler_flag:'`
    8151    (eval echo "\"\$as_me:8151: $lt_compile\"" >&5)
     8156   (eval echo "\"\$as_me:8156: $lt_compile\"" >&5)
    81528157   (eval "$lt_compile" 2>out/conftest.err)
    81538158   ac_status=$?
    81548159   cat out/conftest.err >&5
    8155    echo "$as_me:8155: \$? = $ac_status" >&5
     8160   echo "$as_me:8160: \$? = $ac_status" >&5
    81568161   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    81578162   then
     
    1049410499  lt_status=$lt_dlunknown
    1049510500  cat > conftest.$ac_ext <<EOF
    10496 #line 10496 "configure"
     10501#line 10501 "configure"
    1049710502#include "confdefs.h"
    1049810503
     
    1059410599  lt_status=$lt_dlunknown
    1059510600  cat > conftest.$ac_ext <<EOF
    10596 #line 10596 "configure"
     10601#line 10601 "configure"
    1059710602#include "confdefs.h"
    1059810603
     
    1293812943   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1293912944   -e 's:$: $lt_compiler_flag:'`
    12940    (eval echo "\"\$as_me:12940: $lt_compile\"" >&5)
     12945   (eval echo "\"\$as_me:12945: $lt_compile\"" >&5)
    1294112946   (eval "$lt_compile" 2>conftest.err)
    1294212947   ac_status=$?
    1294312948   cat conftest.err >&5
    12944    echo "$as_me:12944: \$? = $ac_status" >&5
     12949   echo "$as_me:12949: \$? = $ac_status" >&5
    1294512950   if (exit $ac_status) && test -s "$ac_outfile"; then
    1294612951     # The compiler can only warn and ignore the option if not recognized
     
    1304213047   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1304313048   -e 's:$: $lt_compiler_flag:'`
    13044    (eval echo "\"\$as_me:13044: $lt_compile\"" >&5)
     13049   (eval echo "\"\$as_me:13049: $lt_compile\"" >&5)
    1304513050   (eval "$lt_compile" 2>out/conftest.err)
    1304613051   ac_status=$?
    1304713052   cat out/conftest.err >&5
    13048    echo "$as_me:13048: \$? = $ac_status" >&5
     13053   echo "$as_me:13053: \$? = $ac_status" >&5
    1304913054   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1305013055   then
     
    1461214617   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1461314618   -e 's:$: $lt_compiler_flag:'`
    14614    (eval echo "\"\$as_me:14614: $lt_compile\"" >&5)
     14619   (eval echo "\"\$as_me:14619: $lt_compile\"" >&5)
    1461514620   (eval "$lt_compile" 2>conftest.err)
    1461614621   ac_status=$?
    1461714622   cat conftest.err >&5
    14618    echo "$as_me:14618: \$? = $ac_status" >&5
     14623   echo "$as_me:14623: \$? = $ac_status" >&5
    1461914624   if (exit $ac_status) && test -s "$ac_outfile"; then
    1462014625     # The compiler can only warn and ignore the option if not recognized
     
    1471614721   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1471714722   -e 's:$: $lt_compiler_flag:'`
    14718    (eval echo "\"\$as_me:14718: $lt_compile\"" >&5)
     14723   (eval echo "\"\$as_me:14723: $lt_compile\"" >&5)
    1471914724   (eval "$lt_compile" 2>out/conftest.err)
    1472014725   ac_status=$?
    1472114726   cat out/conftest.err >&5
    14722    echo "$as_me:14722: \$? = $ac_status" >&5
     14727   echo "$as_me:14727: \$? = $ac_status" >&5
    1472314728   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1472414729   then
     
    1692316928   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1692416929   -e 's:$: $lt_compiler_flag:'`
    16925    (eval echo "\"\$as_me:16925: $lt_compile\"" >&5)
     16930   (eval echo "\"\$as_me:16930: $lt_compile\"" >&5)
    1692616931   (eval "$lt_compile" 2>conftest.err)
    1692716932   ac_status=$?
    1692816933   cat conftest.err >&5
    16929    echo "$as_me:16929: \$? = $ac_status" >&5
     16934   echo "$as_me:16934: \$? = $ac_status" >&5
    1693016935   if (exit $ac_status) && test -s "$ac_outfile"; then
    1693116936     # The compiler can only warn and ignore the option if not recognized
     
    1719117196   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1719217197   -e 's:$: $lt_compiler_flag:'`
    17193    (eval echo "\"\$as_me:17193: $lt_compile\"" >&5)
     17198   (eval echo "\"\$as_me:17198: $lt_compile\"" >&5)
    1719417199   (eval "$lt_compile" 2>conftest.err)
    1719517200   ac_status=$?
    1719617201   cat conftest.err >&5
    17197    echo "$as_me:17197: \$? = $ac_status" >&5
     17202   echo "$as_me:17202: \$? = $ac_status" >&5
    1719817203   if (exit $ac_status) && test -s "$ac_outfile"; then
    1719917204     # The compiler can only warn and ignore the option if not recognized
     
    1729517300   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1729617301   -e 's:$: $lt_compiler_flag:'`
    17297    (eval echo "\"\$as_me:17297: $lt_compile\"" >&5)
     17302   (eval echo "\"\$as_me:17302: $lt_compile\"" >&5)
    1729817303   (eval "$lt_compile" 2>out/conftest.err)
    1729917304   ac_status=$?
    1730017305   cat out/conftest.err >&5
    17301    echo "$as_me:17301: \$? = $ac_status" >&5
     17306   echo "$as_me:17306: \$? = $ac_status" >&5
    1730217307   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1730317308   then
Note: See TracChangeset for help on using the changeset viewer.